@echo off

cls
echo 
echo 
echo 
echo If you want to run the program in English, press 'E'.
echo 
echo Pour utiliser le programme Fran‡ais, pressez 'F'.
echo 
echo Um das Spiel in Deutsch zu spielen, 'D' eingeben.
echo 
getkey

rem 'f'
if errorlevel 103 goto error
if errorlevel 102 goto french
rem 'e'
if errorlevel 102 goto error
if errorlevel 101 goto english
rem 'd'
if errorlevel 101 goto error
if errorlevel 100 goto german
rem 'F'
if errorlevel 71 goto error
if errorlevel 70 goto french
rem 'E'
if errorlevel 70 goto error
if errorlevel 69 goto english
rem 'D'
if errorlevel 69 goto error
if errorlevel 68 goto german


:error
cls
echo 
echo 
echo 
echo Relancez INSTALL s'il vous plaŚt.
echo 
echo INSTALL noch einmal laufen lassen.
echo 
echo Run INSTALL again please.
goto end

:french
echo Attendez s'il vous plaŚt . . .
cd french
copyfile %1 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto end
echo  Copying language files
call language french
soundset
md shell\scores
cls
rem french translation
echo. ˙Pour jouer maintenant:
echo. ˙   Tapez AOD et appuyez sur [ENTREE].
echo.
echo. ˙Pour jouer plus tard:
echo. ˙   Ouvrez le r‚pertoire du jeu.
echo. ˙   Tapez AOD et appuyez sur [ENTREE].
echo.
echo.  Si vous devez modifier la s‚lection ou les paramŠtres
echo.  de la carte sonore, ouvrez le r‚pertoire du jeu,
echo.  et lancez … nouveau SOUNDSET.
goto end

:german
echo Bitte warten . . .
cd german
copyfile %1 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto end
echo  Copying language files
call language german
soundset
md shell\scores
cls
rem german translation here
echo. ˙Um jetzt zu spielen:
echo. ˙   Geben Sie ein: AOD [EINGABE].
echo.
echo. ˙Um sp„ter zu spielen:
echo. ˙   Wechseln Sie zum Spielverzeichnis.
echo. ˙   Geben Sie ein: AOD [EINGABE]
echo.
echo.  Falls Sie Ihre Toneinstellungen sp„ter „ndern 
echo.  wollen, wechseln Sie zum Spielverzeichnis, und
echo.  starten Sie SOUNDSET noch einmal.
goto end

:english
echo Please wait . . .
cd english
copyfile %1 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto end
echo  Copying language files
call language english
soundset
md shell\scores
cls
echo ˙To play NOW:
echo ˙   Type AOD and press [ENTER].
echo  . 
echo ˙To play LATER:
echo ˙   CD to the game directory.
echo ˙   Type AOD and press [ENTER].
echo  .
echo  If you should ever need to change your sound card
echo  selection or settings, CD to the game directory
echo  and run SOUNDSET again.
goto end


:end
